# class ThreadPool

#### package lime.system

Available on all platforms

### Constructor

###

`new (minThreads:Int = 0, maxThreads:Int = 1)`

### Variables

###

`read onlycurrentThreads:Int`

###

`doWork:Event<Function ‑> Void> = new Event<Function>()`

###

`maxThreads:Int`

###

`minThreads:Int`

###

`onComplete:Event<Function ‑> Void> = new Event<Function>()`

###

`onError:Event<Function ‑> Void> = new Event<Function>()`

###

`onProgress:Event<Function ‑> Void> = new Event<Function>()`

###

`onRun:Event<Function ‑> Void> = new Event<Function>()`

### Methods

###

`queue (?state:Dynamic):Void`

###

`sendComplete (?state:Dynamic):Void`

###

`sendError (?state:Dynamic):Void`

###

`sendProgress (?state:Dynamic):Void`